SUMMARY: Multimedia API: Failed to install debian package [target]

Hi, I’ve downloaded the latest Jetson Nano image and created the SD card. When I’m running the SDKManager I get the error " SUMMARY: Multimedia API: Failed to install debian package [target]". I have re-imaged the SD Card and try again to find the same issue. Does anybody knows what is the problem? This is the log:

• 5:31:42 DEBUG: Multimedia API: using adapter to install NV_L4T_MULTIMEDIA_API_TARGET_POST_INSTALL_T194_COMP@JETSON_AGX_XAVIER to /home/media/nvidia/nvidia_sdk/JetPack_4.4_Linux_JETSON_AGX_XAVIER
• 15:31:42 INFO: Multimedia API: [ Disk Avail:189.04 GB ]
• 15:31:42 INFO: Multimedia API: Using GenericInstaller to Install NV_L4T_MULTIMEDIA_API_TARGET_POST_INSTALL_T194_COMP
• 15:31:42 INFO: Multimedia API: NV_L4T_MULTIMEDIA_API_TARGET_POST_INSTALL_T194_COMP include 1 package
• 15:31:42 INFO: Multimedia API: [ Package Install Started ]
• 15:31:42 INFO: Multimedia API: target deb installer start to install
• 15:31:42 INFO: Multimedia API: exec_command: dpkg -f /home/media/Downloads/nvidia/sdkm_downloads/nvidia-l4t-jetson-multimedia-api_32.4.3-20200625213407_arm64.deb Package | tr -d '\n'
• 15:31:42 INFO: Multimedia API: exec_command: dpkg -f /home/media/Downloads/nvidia/sdkm_downloads/nvidia-l4t-jetson-multimedia-api_32.4.3-20200625213407_arm64.deb Version | tr -d '\n'
• 15:31:42 INFO: Multimedia API: deb file /home/media/Downloads/nvidia/sdkm_downloads/nvidia-l4t-jetson-multimedia-api_32.4.3-20200625213407_arm64.deb, package name [nvidia-l4t-jetson-multimedia-api], package version [32.4.3-20200625213407]
• 15:31:42 INFO: Multimedia API: infer package info from file name nvidia-l4t-jetson-multimedia-api_32.4.3-20200625213407_arm64.deb [ name: nvidia-l4t-jetson-multimedia-api, version: 32.4.3-20200625213407 ]
• 15:31:42 INFO: Multimedia API: exec_command [target]:
• 15:31:42 INFO: Multimedia API: **********************
• 15:31:42 INFO: Multimedia API: #!/bin/bash
• 15:31:42 INFO: Multimedia API: set -e
• 15:31:42 INFO: Multimedia API: export LC_ALL=en_US.UTF-8 LANG=en_US.UTF-8 LANGUAGE=en_US.UTF-8
• 15:31:42 INFO: Multimedia API: sudo mkdir -p /opt/nvidia/deb_repos
• 15:31:42 INFO: Multimedia API: sudo chmod 777 /opt/nvidia/deb_repos
• 15:31:42 INFO: Multimedia API: sudo rm -f /opt/nvidia/deb_repos/nvidia-l4t-jetson-multimedia-api_32.4.3-20200625213407_arm64.deb
• 15:31:42 INFO: Multimedia API: **********************
• 15:31:42 INFO: Multimedia API: [target] kaya@kaya's password:
• 15:31:42 INFO: Multimedia API:
• 15:31:43 INFO: Multimedia API: [target] kaya@kaya's password:
• 15:31:43 INFO: Multimedia API:
• 15:31:43 INFO: Multimedia API: [target] [sudo] password for kaya:
• 15:31:44 INFO: Multimedia API:
• 15:31:44 : Multimedia API: Warning: Permanently added 'kaya,10.0.0.59' (ECDSA) to the list of known hosts.
• 15:31:44 INFO: Multimedia API: [target] kaya@kaya's password:
• 15:31:44 INFO: Multimedia API:
• 15:31:48 INFO: Multimedia API: nvidia-l4t-jetson-multimedia-api_32.4.3-20200 0% 0 0.0KB/s --:-- ETA nvidia-l4t-jetson-multimedia-api_32.4.3-20200 28% 19MB 18.6MB/s 00:02 ETA nvidia-l4t-jetson-multimedia-api_32.4.3-20200 56% 38MB 18.7MB/s 00:01 ETA nvidia-l4t-jetson-multimedia-api_32.4.3-20200 81% 55MB 18.5MB/s 00:00 ETA nvidia-l4t-jetson-multimedia-api_32.4.3-20200 100% 67MB 18.2MB/s 00:03
• 15:31:48 INFO: Multimedia API: exec_command [target]:
• 15:31:48 INFO: Multimedia API: **********************
• 15:31:48 INFO: Multimedia API: #!/bin/bash
• 15:31:48 INFO: Multimedia API: set -e
• 15:31:48 INFO: Multimedia API: export LC_ALL=en_US.UTF-8 LANG=en_US.UTF-8 LANGUAGE=en_US.UTF-8
• 15:31:48 INFO: Multimedia API: function safe_apt_install {
• 15:31:48 INFO: Multimedia API: echo "*begin $1, $2"
• 15:31:48 INFO: Multimedia API: tmp_log=/tmp/jetpack_dpkg_log.txt
• 15:31:48 INFO: Multimedia API: sudo rm -f $tmp_log
• 15:31:48 INFO: Multimedia API: set +e; $1 2>&1 | tee $tmp_log; CMD_STATUS=${PIPESTATUS[0]}; set -e
• 15:31:48 INFO: Multimedia API: while [ ${CMD_STATUS} -ne 0 ]; do
• 15:31:48 INFO: Multimedia API: if grep -q -e "is locked by another process" -e "E: Could not get lock /var/lib" $tmp_log; then
• 15:31:48 INFO: Multimedia API: sudo rm -f $tmp_log
• 15:31:48 INFO: Multimedia API: set +e; $1 2>&1 | tee $tmp_log; CMD_STATUS=${PIPESTATUS[0]}; set -e
• 15:31:48 INFO: Multimedia API: echo "Waiting $2 seconds for apt to be available"; sleep ${2}
• 15:31:48 INFO: Multimedia API: else
• 15:31:48 INFO: Multimedia API: echo "Unhandled error when running $1"; exit 1
• 15:31:48 INFO: Multimedia API: fi
• 15:31:48 INFO: Multimedia API: done
• 15:31:48 INFO: Multimedia API: }
• 15:31:48 INFO: Multimedia API: safe_apt_install "sudo dpkg -i /opt/nvidia/deb_repos/nvidia-l4t-jetson-multimedia-api_32.4.3-20200625213407_arm64.deb" 5
• 15:31:48 INFO: Multimedia API: sleep 5
• 15:31:48 INFO: Multimedia API: sudo rm -f /opt/nvidia/deb_repos/nvidia-l4t-jetson-multimedia-api_32.4.3-20200625213407_arm64.deb
• 15:31:48 INFO: Multimedia API: **********************
• 15:31:48 INFO: Multimedia API: [target] kaya@kaya's password:
• 15:31:48 INFO: Multimedia API:
• 15:31:49 INFO: Multimedia API: [target] kaya@kaya's password:
• 15:31:49 INFO: Multimedia API:
• 15:31:49 INFO: Multimedia API: *begin sudo dpkg -i /opt/nvidia/deb_repos/nvidia-l4t-jetson-multimedia-api_32.4.3-20200625213407_arm64.deb, 5
• 15:31:50 INFO: Multimedia API: [target] [sudo] password for kaya:
• 15:31:50 INFO: Multimedia API:
• 15:31:50 INFO: Multimedia API: (Reading database ... 141324 files and directories currently installed.)
• 15:31:50 INFO: Multimedia API: Preparing to unpack .../nvidia-l4t-jetson-multimedia-api_32.4.3-20200625213407_arm64.deb ...
• 15:31:50 INFO: Multimedia API: Unpacking nvidia-l4t-jetson-multimedia-api (32.4.3-20200625213407) over (32.4.3-20200625213407) ...
• 15:32:22 INFO: Multimedia API: dpkg: dependency problems prevent configuration of nvidia-l4t-jetson-multimedia-api:
• 15:32:22 INFO: Multimedia API: nvidia-l4t-jetson-multimedia-api depends on nvidia-l4t-camera (= 32.4.3-20200625213407); however:
• 15:32:22 INFO: Multimedia API: Version of nvidia-l4t-camera on system is 32.4.3-20200625213809.
• 15:32:22 INFO: Multimedia API: nvidia-l4t-jetson-multimedia-api depends on nvidia-l4t-multimedia (= 32.4.3-20200625213407); however:
• 15:32:22 INFO: Multimedia API: Version of nvidia-l4t-multimedia on system is 32.4.3-20200625213809.
• 15:32:22 INFO: Multimedia API: nvidia-l4t-jetson-multimedia-api depends on nvidia-l4t-multimedia-utils (= 32.4.3-20200625213407); however:
• 15:32:22 INFO: Multimedia API: Version of nvidia-l4t-multimedia-utils on system is 32.4.3-20200625213809.
• 15:32:22 INFO: Multimedia API:
• 15:32:22 INFO: Multimedia API: dpkg: error processing package nvidia-l4t-jetson-multimedia-api (--install):
• 15:32:22 INFO: Multimedia API: dependency problems - leaving unconfigured
• 15:32:22 INFO: Multimedia API: Errors were encountered while processing:
• 15:32:22 INFO: Multimedia API: nvidia-l4t-jetson-multimedia-api
• 15:32:22 INFO: Multimedia API: Unhandled error when running sudo dpkg -i /opt/nvidia/deb_repos/nvidia-l4t-jetson-multimedia-api_32.4.3-20200625213407_arm64.deb
• 15:32:22 INFO: Multimedia API: [ Package Install Finished with Error ]
• 15:32:22 INFO: Multimedia API: [ 16.00 KB used. Disk Avail: 189.04 GB ]
• 15:32:22 INFO: Multimedia API: [ NV_L4T_MULTIMEDIA_API_TARGET_POST_INSTALL_T194_COMP Install took 39s ]
• 15:32:22 INFO: Multimedia API:
• 15:32:22 SUMMARY: Multimedia API: Failed to install debian package [target]

Hi,
Seems to be a network issue. Please check if you can see the samples in

/usr/src/jetson_multiemdia_api

If not , please try to re-install SDK components through SDKManager.

Thanks DaneLLL, that is where I’m having the issue. I’m trying to install from the SDKManager, and get’s the error with the log output above. I did looked on the /usr/src/jetson_multimedia_api and see some files on the Jetson nano. See attached image for reference.

For sanity check I set up a different computer with ubuntu, and got exactly the same behavior.

Lulz @ SDKM.

@gerardom Try sudo apt install nvidia-l4t-jetson-multimedia-api on the device itself. The samples can be found under /usr/src/jetson_multimedia_api/ as @DaneLLL suggests after that completes.

All Nvidia software (that I’m aware of) apart from DeepStream (which doesn’t work yet on 4.4 GA anyway) is available in the online apt repositories. SDK Manager is not required.

1 Like

mdegans, it seems that the manual process works. Thanks for helping, and hope the SKDManager can do it automatically next time.

1 Like